
# Get the organization custom role permissions

`GET /v1/org-custom-role-permissions` · permission `roles:read`

Returns the permissions that organization custom roles may hold in this environment. While the list is empty no organization role can be created. Reading the list does not need the plan feature.

## Request

| Field | Type | Required | Description |
|---|---|---|---|

No request body.

## Response

`200 OK` with the list.

```json
{
  "permission_ids": [
    "perm_01j9xs0a2b4c6d8e0f2g4h6j8k",
    "perm_01j9xs0a2b4c6d8e0f2g4h6j8m"
  ]
}
```

## Errors

| HTTP | code | When |
|---|---|---|
| 401 | `unauthenticated` | The credential is missing, invalid or revoked. |
| 403 | `insufficient_permissions` | The credential lacks the required permission. |
| 429 | `rate_limited` | The rate limit was exceeded; retry after the `Retry-After` period. |
| 503 | `service_unavailable` | A dependency is temporarily unavailable; retry after the `Retry-After` period. |

## Example

```bash
curl -i -X GET "https://api.eu.keenauth.com/v1/org-custom-role-permissions" \
  -H "Authorization: Bearer $KEENAUTH_SECRET_KEY"
```
